# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Catalyst/Controller.pm) perl(Catalyst/Utils.pm) perl(Class/Accessor/Fast.pm) perl(Config.pm) perl(Fcntl.pm) perl(Moose.pm) perl(Scalar/Util.pm) perl(Storable.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Catalyst-Plugin-Cache
Version:        0.12
Release:        alt1_1
Summary:        Flexible caching support for Catalyst
License:        (GPL+ or Artistic) or MIT
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Catalyst-Plugin-Cache/
Source0:        http://www.cpan.org/authors/id/B/BO/BOBTFISH/Catalyst-Plugin-Cache-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Catalyst.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(MRO/Compat.pm)
BuildRequires:  perl(Task/Weaken.pm)
BuildRequires:  perl(Test/Deep.pm)
BuildRequires:  perl(Test/Exception.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/WWW/Mechanize/Catalyst.pm)


Source44: import.info

%description
This plugin gives you access to a variety of systems for caching data. It
allows you to use a very simple configuration API, while maintaining the
possibility of flexibility when you need it later.

%prep
%setup -q -n Catalyst-Plugin-Cache-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes
%{perl_vendor_privlib}/*

%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1_1
- update to new release by fcimport

* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_4
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_3
- update to new release by fcimport

* Mon May 28 2012 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1_1
- fc import

